Page MenuHomePhabricator

Create a web application frontend for Wikipedia
Closed, ResolvedPublic

Description

Create a web application frontend for wikipedia leveraging modern web technologies, so that we can have a great fast experience in mobile web devices, and everywhere else the web gets.

https://github.com/joakin/webkipedia
https://chimeces.com/webkipedia

Event Timeline

Jhernandez claimed this task.
Jhernandez raised the priority of this task from to Medium.
Jhernandez updated the task description. (Show Details)
Jhernandez added a subscriber: Jhernandez.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 19 2015, 2:53 PM

What problem are we trying to solve here?

What problem are we trying to solve here?

In T106275, description:

so that we can have a great fast experience in mobile web devices

Basically. It is my personal project, I want the mobile web experience to be as good or better than the mobile apps one. Been working on it on the past 2 hackathons.

Do you like it?

Qgil added a project: Discovery.EditedJul 31 2015, 11:11 AM
Qgil added a subscriber: Qgil.

When I saw @Jhernandez's demo in Lyon, I was very excited. Somehow I see it as something that can improve https://www.wikipedia.org/, a page that is probably very popular but also quite boring, and that hasn't changed in ages.

I'm not saying that we should get rid of the current page and slap this search instead. A combination of both, where you can see at a first glance the richness of wikipedias but also get cool useful results if you use the search there.

So is this about a better Wikipedia home/search page?

So, is this in Discovery because the Discovery team is working on it, or...?

Qgil added a comment.Aug 4 2015, 9:33 AM

I added it to the Discovery team backlog for their consideration.

Qgil added a comment.Sep 16 2015, 10:16 AM

A message to all open tasks related to the #Wikimania-Hackathon-2015. What do you need to complete this task? Do you need support from the Wikimedia Foundation to push it forward? Help promoting this project? Finding an intern to work on it? Organizing a developer sprint? Pitching it to WMF teams? Applying for a grant? If you need support, share your request at T107423: Evaluate which projects showcased at the Wikimania Hackathon 2015 should be supported further or contact me personally. Thank you!

Qgil added a subscriber: Deskana.Oct 29 2015, 2:25 PM

@Deskana, you are involved in improvements to www.wikipedia.org. It would be good if your team could check @Jhernandez and see whether there is anything you want to do with it. At some point we need to decide whether this was a fun and inspiring hackathon project only, or if there is a possible continuity for this work.

@Qgil the improvements to www.wikipedia.org are a departmental quarterly goal; it's being dealt with.

Qgil added a comment.Nov 3 2015, 4:17 PM

Alright, then I think @Jhernandez should decide whether this experiment reached the end, and point any ideas to https://meta.wikimedia.org/wiki/Wikipedia.org_Portal_Improvements

Jhernandez closed this task as Resolved.Nov 16 2015, 11:16 AM

Thanks for the ping @Qgil.

This has helped shape one of the goals of the reading web team this Q2: https://phabricator.wikimedia.org/T114542

I've used the prototype to research using parsoid for content, and we're developing a new prototype with a similar architecture as webkipedia for research this quarter. More info in the above task and their links.

For the moment I'm keeping webkipedia stalled as a side project, and I would consider this task done in its current form.

Qgil awarded a token.Nov 18 2015, 11:20 AM